Package com.sas.lsaf.clinical.study.tlf

## Class StudyTlfInfo

- java.lang.Object
- - com.sas.lsaf.clinical.study.tlf.StudyTlfInfo

- All Implemented Interfaces:
    `java.io.Serializable`

      public class StudyTlfInfo
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents the study TLFs for a specific base standard and model.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StudyTlfInfo​(java.lang.String studyId, java.lang.String baseStandardName, java.lang.String modelId, java.util.List<Tlf> tlfs, long revision)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getBaseStandardName()` | Gets the name of the base standard, such as SDTM and ADaM.
    `java.lang.String` | `getModelId()` | Gets the identifier of the model.
    `long` | `getRevision()` | Gets the internally managed revision number of the study TLF information.
    `java.lang.String` | `getStudyId()` | Gets the identifier of the study.
    `java.util.List<Tlf>` | `getTlfs()` | Gets the study TLFs.
    `int` | `hashCode()` |
    `void` | `setTlfs​(java.util.List<Tlf> tlfs)` | Sets the study TLFs.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StudyTlfInfo

          public StudyTlfInfo​(java.lang.String studyId,
                              java.lang.String baseStandardName,
                              java.lang.String modelId,
                              java.util.List<Tlf> tlfs,
                              long revision)

      Constructor.
      Parameters:
        `studyId` - The unique identifier of the study.
        `baseStandardName` - The name of the base standard such as SDTM and ADaM.
        `modelId` - The identifier of the model.
        `tlfs` - The TLFs that are associated with the study.
        `revision` - The internally managed revision number of the study TLF information.

  - ### Method Detail

    - #### getStudyId

          public java.lang.String getStudyId()

      Gets the identifier of the study.
      Returns:
        The identifier of the study.

    - #### getBaseStandardName

          public java.lang.String getBaseStandardName()

      Gets the name of the base standard, such as SDTM and ADaM.
      Returns:
        The name.

    - #### getModelId

          public java.lang.String getModelId()

      Gets the identifier of the model.
      Returns:
        The identifier.

    - #### getRevision

          public long getRevision()

      Gets the internally managed revision number of the study TLF information.
      Returns:
        The internally managed revision number.

    - #### getTlfs

          public java.util.List<Tlf> getTlfs()

      Gets the study TLFs.
      Returns:
        The study TLFs.

    - #### setTlfs

          public void setTlfs​(java.util.List<Tlf> tlfs)

      Sets the study TLFs.
      Parameters:
        `tlfs` - The study TLFs

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`